#include <bits/stdc++.h>
#define ll long long

using namespace std;

int n,x;
int a[1000010];

int main()
{
	ios::sync_with_stdio(false);
	cin.tie(0);

	cin>>n>>x;
	for(int i=0;i<n;i++)
        cin>>a[i];

    sort(a,a+n);
    int sol1=abs(x-a[n-1])+abs(a[n-1]-a[0]);
    int sol2=abs(x-a[0])+abs(a[n-1]-a[0]);
    cout<<min(sol1,sol2);
	return 0;
}